#define DEFAULT_BG_COLOR 0x444499
#define RESIZE_WINDOW_BORDER_COLOR 0xffbb00
#define RESIZE_WINDOW_BACKGROUND_COLOR 0x00bbbb

#define RESIZE_BORDER_SIZE 4

char * const term_cmd[] = {"urxvt", NULL};
char * const browse_cmd[] = {"firefox", NULL};
char * const file_cmd[] = {"xfe", NULL};
char * const run_cmd[] = {"dmenu_run", NULL};

// Linux-specific nonsense
#ifdef __linux__
char * const volup_cmd[] = {"pactl", "set-sink-volume", "@DEFAULT_SINK@", "+5%", NULL};
char * const voldown_cmd[] = {"pactl", "set-sink-volume", "@DEFAULT_SINK@", "-5%", NULL};
char * const mute_cmd[] = {"pactl", "set-sink-mute", "@DEFAULT_SINK@", "toggle", NULL};
#endif

// Definition for the radial menus.
struct RadialMenu radial_menus[2] = {
    // MENU_WINDOW, for menus when a window is hovered over
    {
        // The buttons themselves
        .buttons = {
            {.label = "Raise", .cb = radial_raise_cb, .color = 0x00aaaa},
            {.label = "Close", .cb = radial_close_cb, .color = 0xaa00aa},
            {.label = "Sink", .cb = radial_sink_cb, .color = 0xaaaa00},
            {.label = "Redraw", .cb = radial_redraw_cb, .color = 0xaaaaaa}}},
    // MENU_ROOT, for when the root is selected
    {
        .buttons = {
            {.label = "Terminal", .cb = radial_run_cb, .arg = term_cmd, .color = 0x00aa00},
            {.label = "Browser", .cb = radial_run_cb, .arg = browse_cmd, .color = 0xaa0000},
            {.label = "Run", .cb = radial_run_cb, .arg = run_cmd, .color = 0xbb00ff},
            {.label = "FM", .cb = radial_run_cb, .arg = file_cmd, .color = 0xdddddd}
        }
    }
};

